View Issue Details

IDProjectCategoryView StatusLast Update
0006517Talerwallet (Android App)public2020-10-03 14:10
ReporterFlorian Dold Assigned Togrote  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version0.8Fixed in Version0.8 
Summary0006517: android wallet should show details of error responses
DescriptionCurrently only the error code and name is shown.

We need the full details, as they are important for people setting up a deployment.
TagsNo tags attached.

Activities

grote

2020-08-24 17:16

developer   ~0016752

Details are currently defined as `any` which makes displaying them a bit difficult.

Want me to just dump their string representation?

Florian Dold

2020-08-24 17:19

manager   ~0016753

Yes! In the future, we might render certain error codes in a more user-friendly way. These error codes will then have typed+documented details.

But for anything else, we should just pretty-print the JSON.

grote

2020-08-26 15:13

developer   ~0016776

Fixed in https://git.taler.net/taler-android.git/commit/?id=ed3f86481a71517e7bf6ffa46dc8d160b508ec38

Issue History

Date Modified Username Field Change
2020-08-23 21:50 Florian Dold New Issue
2020-08-23 21:50 Florian Dold Status new => assigned
2020-08-23 21:50 Florian Dold Assigned To => grote
2020-08-24 17:16 grote Note Added: 0016752
2020-08-24 17:19 Florian Dold Note Added: 0016753
2020-08-26 15:13 grote Status assigned => resolved
2020-08-26 15:13 grote Resolution open => fixed
2020-08-26 15:13 grote Note Added: 0016776
2020-10-03 14:08 Christian Grothoff Fixed in Version => 0.8
2020-10-03 14:10 Christian Grothoff Target Version => 0.8